Generation Framework

## org.eclipse.gmf.codegen.util
Class CodegenEmitters

    java.lang.Object
      org.eclipse.gmf.codegen.util.CodegenEmitters

public class CodegenEmitters
extends java.lang.Object

Provides JET templates.

Constructor Summary
`CodegenEmitters(boolean usePrecompiled, java.lang.String templateDirectory)`

Method Summary
`JETEmitter` `getAbstractExpressionEmitter()`
`JETEmitter` `getAbstractParserEmitter()`
`JETEmitter` `getActionBarContributorEmitter()`
`JETEmitter` `getBaseEditHelperEmitter()`
`JETEmitter` `getBaseGraphicalNodeEditPolicyEmitter()`
`JETEmitter` `getBaseItemSemanticEditPolicyEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBuildPropertiesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getBundleManifestEmitter()`
`JETEmitter` `getChildContainerCanonicalEditPolicyEmitter()`
`JETEmitter` `getChildNodeEditPartEmitter()`
`JETEmitter` `getCompartmentEditPartEmitter()`
`JETEmitter` `getCompartmentItemSemanticEditPolicyEmitter()`
`JETEmitter` `getContributionItemProviderEmitter()`
`JETEmitter` `getCreateShortcutActionEmitter()`
`JETEmitter` `getCreationWizardEmitter()`
`JETEmitter` `getCreationWizardPageEmitter()`
`JETEmitter` `getDiagramCanonicalEditPolicyEmitter()`
`JETEmitter` `getDiagramEditorUtilEmitter()`
`JETEmitter` `getDiagramEditPartEmitter()`
`JETEmitter` `getDiagramExternalNodeLabelEditPartEmitter()`
`JETEmitter` `getDiagramFileCreatorEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getDiagramIconEmitter()`
`JETEmitter` `getDiagramItemSemanticEditPolicyEmitter()`
`JETEmitter` `getDocumentProviderEmitter()`
`JETEmitter` `getEditHelperAdviceEmitter()`
`JETEmitter` `getEditHelperEmitter()`
`JETEmitter` `getEditorEmitter()`
`JETEmitter` `getEditPartFactoryEmitter()`
`JETEmitter` `getEditPartProviderEmitter()`
`JETEmitter` `getElementChooserEmitter()`
`JETEmitter` `getElementTypesEmitter()`
`JETEmitter` `getExternalNodeLabelEditPartEmitter()`
`JETEmitter` `getExternalNodeLabelHostLayoutEditPolicyEmitter()`
`JETEmitter` `getIconProviderEmitter()`
`JETEmitter` `getInitDiagramFileActionEmitter()`
`java.net.URL` `getJMergeControlFile()`
`JETEmitter` `getLabelTextViewFactoryEmitter()`
`JETEmitter` `getLabelViewFactoryEmitter()`
`JETEmitter` `getLinkEditPartEmitter()`
`JETEmitter` `getLinkItemSemanticEditPolicyEmitter()`
`JETEmitter` `getLinkLabelEditPartEmitter()`
`JETEmitter` `getLoadResourceActionEmitter()`
`JETEmitter` `getMarkerNavigationProviderEmitter()`
`JETEmitter` `getMatchingStrategyEmitter()`
`JETEmitter` `getMetricProviderEmitter()`
`JETEmitter` `getModelingAssistantProviderEmitter()`
`JETEmitter` `getNewDiagramFileWizardEmitter()`
`JETEmitter` `getNodeEditPartEmitter()`
`JETEmitter` `getNodeGraphicalNodeEditPolicyEmitter()`
`JETEmitter` `getNodeItemSemanticEditPolicyEmitter()`
`JETEmitter` `getNodeLabelEditPartEmitter()`
`JETEmitter` `getOCLExpressionFactoryEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getOptionsFileEmitter()`
`JETEmitter` `getPaletteEmitter()`
`JETEmitter` `getPaletteProviderEmitter()`
`JETEmitter` `getParserProviderEmitter()`
`JETEmitter` `getPluginClassEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginPropertiesEmitter()`
`org.eclipse.gmf.internal.common.codegen.TextEmitter` `getPluginXmlEmitter()`
`JETEmitter` `getPreferencesInitializerEmitter()`
`JETEmitter` `getPropertyProviderEmitter()`
`JETEmitter` `getReferenceConnectionEditPolicyEmitter()`
`JETEmitter` `getRegexpExpressionFactoryEmitter()`
`JETEmitter` `getReorientConnectionViewCommandEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getShortcutImageEmitter()`
`JETEmitter` `getShortcutsDecoratorProviderEmitter()`
`JETEmitter` `getStructuralFeatureParserEmitter()`
`JETEmitter` `getStructuralFeaturesParserEmitter()`
`JETEmitter` `getTextNonResizableEditPolicyEmitter()`
`JETEmitter` `getTextSelectionEditPolicyEmitter()`
`JETEmitter` `getValidationDecoratorProviderEmitter()`
`JETEmitter` `getValidationProviderEmitter()`
`JETEmitter` `getViewFactoryEmitter()`
`JETEmitter` `getViewProviderEmitter()`
`JETEmitter` `getVisualIDRegistryEmitter()`
`org.eclipse.gmf.internal.common.codegen.BinaryEmitter` `getWizardBannerImageEmitter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodegenEmitters

    public CodegenEmitters(boolean usePrecompiled,
                           java.lang.String templateDirectory)

Method Detail

### getJMergeControlFile

    public java.net.URL getJMergeControlFile()

### getReorientConnectionViewCommandEmitter

    public JETEmitter getReorientConnectionViewCommandEmitter()
                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBaseEditHelperEmitter

    public JETEmitter getBaseEditHelperEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditHelperEmitter

    public JETEmitter getEditHelperEmitter()
                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditHelperAdviceEmitter

    public JETEmitter getEditHelperAdviceEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramEditPartEmitter

    public JETEmitter getDiagramEditPartEmitter()
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramExternalNodeLabelEditPartEmitter

    public JETEmitter getDiagramExternalNodeLabelEditPartEmitter()
                                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeEditPartEmitter

    public JETEmitter getNodeEditPartEmitter()
                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeLabelEditPartEmitter

    public JETEmitter getNodeLabelEditPartEmitter()
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getExternalNodeLabelEditPartEmitter

    public JETEmitter getExternalNodeLabelEditPartEmitter()
                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getChildNodeEditPartEmitter

    public JETEmitter getChildNodeEditPartEmitter()
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompartmentEditPartEmitter

    public JETEmitter getCompartmentEditPartEmitter()
                                             throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkEditPartEmitter

    public JETEmitter getLinkEditPartEmitter()
                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkLabelEditPartEmitter

    public JETEmitter getLinkLabelEditPartEmitter()
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditPartFactoryEmitter

    public JETEmitter getEditPartFactoryEmitter()
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBaseItemSemanticEditPolicyEmitter

    public JETEmitter getBaseItemSemanticEditPolicyEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBaseGraphicalNodeEditPolicyEmitter

    public JETEmitter getBaseGraphicalNodeEditPolicyEmitter()
                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getReferenceConnectionEditPolicyEmitter

    public JETEmitter getReferenceConnectionEditPolicyEmitter()
                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramCanonicalEditPolicyEmitter

    public JETEmitter getDiagramCanonicalEditPolicyEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getChildContainerCanonicalEditPolicyEmitter

    public JETEmitter getChildContainerCanonicalEditPolicyEmitter()
                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramItemSemanticEditPolicyEmitter

    public JETEmitter getDiagramItemSemanticEditPolicyEmitter()
                                                       throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCompartmentItemSemanticEditPolicyEmitter

    public JETEmitter getCompartmentItemSemanticEditPolicyEmitter()
                                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeGraphicalNodeEditPolicyEmitter

    public JETEmitter getNodeGraphicalNodeEditPolicyEmitter()
                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNodeItemSemanticEditPolicyEmitter

    public JETEmitter getNodeItemSemanticEditPolicyEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLinkItemSemanticEditPolicyEmitter

    public JETEmitter getLinkItemSemanticEditPolicyEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getTextSelectionEditPolicyEmitter

    public JETEmitter getTextSelectionEditPolicyEmitter()
                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getTextNonResizableEditPolicyEmitter

    public JETEmitter getTextNonResizableEditPolicyEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getExternalNodeLabelHostLayoutEditPolicyEmitter

    public JETEmitter getExternalNodeLabelHostLayoutEditPolicyEmitter()
                                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAbstractParserEmitter

    public JETEmitter getAbstractParserEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getStructuralFeatureParserEmitter

    public JETEmitter getStructuralFeatureParserEmitter()
                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getStructuralFeaturesParserEmitter

    public JETEmitter getStructuralFeaturesParserEmitter()
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getViewFactoryEmitter

    public JETEmitter getViewFactoryEmitter()
                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLabelViewFactoryEmitter

    public JETEmitter getLabelViewFactoryEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLabelTextViewFactoryEmitter

    public JETEmitter getLabelTextViewFactoryEmitter()
                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getElementTypesEmitter

    public JETEmitter getElementTypesEmitter()
                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getViewProviderEmitter

    public JETEmitter getViewProviderEmitter()
                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditPartProviderEmitter

    public JETEmitter getEditPartProviderEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPaletteProviderEmitter

    public JETEmitter getPaletteProviderEmitter()
                                         throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getContributionItemProviderEmitter

    public JETEmitter getContributionItemProviderEmitter()
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getModelingAssistantProviderEmitter

    public JETEmitter getModelingAssistantProviderEmitter()
                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPropertyProviderEmitter

    public JETEmitter getPropertyProviderEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getIconProviderEmitter

    public JETEmitter getIconProviderEmitter()
                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getParserProviderEmitter

    public JETEmitter getParserProviderEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationProviderEmitter

    public JETEmitter getValidationProviderEmitter()
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getValidationDecoratorProviderEmitter

    public JETEmitter getValidationDecoratorProviderEmitter()
                                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getShortcutsDecoratorProviderEmitter

    public JETEmitter getShortcutsDecoratorProviderEmitter()
                                                    throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMetricProviderEmitter

    public JETEmitter getMetricProviderEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMarkerNavigationProviderEmitter

    public JETEmitter getMarkerNavigationProviderEmitter()
                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getAbstractExpressionEmitter

    public JETEmitter getAbstractExpressionEmitter()
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getOCLExpressionFactoryEmitter

    public JETEmitter getOCLExpressionFactoryEmitter()
                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getRegexpExpressionFactoryEmitter

    public JETEmitter getRegexpExpressionFactoryEmitter()
                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getInitDiagramFileActionEmitter

    public JETEmitter getInitDiagramFileActionEmitter()
                                               throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getNewDiagramFileWizardEmitter

    public JETEmitter getNewDiagramFileWizardEmitter()
                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPaletteEmitter

    public JETEmitter getPaletteEmitter()
                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramEditorUtilEmitter

    public JETEmitter getDiagramEditorUtilEmitter()
                                           throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramFileCreatorEmitter

    public JETEmitter getDiagramFileCreatorEmitter()
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getVisualIDRegistryEmitter

    public JETEmitter getVisualIDRegistryEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreationWizardEmitter

    public JETEmitter getCreationWizardEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreationWizardPageEmitter

    public JETEmitter getCreationWizardPageEmitter()
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getEditorEmitter

    public JETEmitter getEditorEmitter()
                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getCreateShortcutActionEmitter

    public JETEmitter getCreateShortcutActionEmitter()
                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getLoadResourceActionEmitter

    public JETEmitter getLoadResourceActionEmitter()
                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getElementChooserEmitter

    public JETEmitter getElementChooserEmitter()
                                        throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDocumentProviderEmitter

    public JETEmitter getDocumentProviderEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getActionBarContributorEmitter

    public JETEmitter getActionBarContributorEmitter()
                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getMatchingStrategyEmitter

    public JETEmitter getMatchingStrategyEmitter()
                                          throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPreferencesInitializerEmitter

    public JETEmitter getPreferencesInitializerEmitter()
                                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginClassEmitter

    public JETEmitter getPluginClassEmitter()
                                     throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginXmlEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginXmlEmitter()
                                                                            throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getPluginPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getPluginPropertiesEmitter()
                                                                                   throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getOptionsFileEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getOptionsFileEmitter()
                                                                              throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBundleManifestEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBundleManifestEmitter()
                                                                                 throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getBuildPropertiesEmitter

    public org.eclipse.gmf.internal.common.codegen.TextEmitter getBuildPropertiesEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getShortcutImageEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getShortcutImageEmitter()
                                                                                  throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getDiagramIconEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getDiagramIconEmitter()
                                                                                throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

### getWizardBannerImageEmitter

    public org.eclipse.gmf.internal.common.codegen.BinaryEmitter getWizardBannerImageEmitter()
                                                                                      throws UnexpectedBehaviourException

  Throws:
    `UnexpectedBehaviourException`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.